-- 天选之战规则说明
checkRequire("Lua_TheGameStatePanel");
checkRequire("Lua_TheGameDanPanel");
Lua_TheGameRulesWindow = class("Lua_TheGameRulesWindow", Lua_Window);
function Lua_TheGameRulesWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TheGameRulesWindow";
	self.skinName = "TheGameRulesWindow_skin";
end

function Lua_TheGameRulesWindow:buildShowItem()
	self:superCall("buildShowItem");

	local arr = DataCenter.theSelectionWarUtil.getGameRulesCalssList;
	self.btnList = Lua_DragSubButtonList.new(self.content, 1, Vector4(0, 0, 212, 471), Vector3(212, 65, 0));
	self.btnList:setDepth(5);
	self.btnList:setMainBtnStyle("common_atlas_1", "ui_common_btn_p2", "ui_common_btn_p1", "FFFFFF", "FFFFFF", 30);
	self.btnList:setLocation(-332, -27, 0);
	self.btnList:setData(arr, self, self.onSubClick, 0, 203); -- (471 - 65) / 2
	self.btnList:setMainSlected(1);
end

function Lua_TheGameRulesWindow:onSubClick(data)
	self.data = data;
	if self.gameRulesPanel ~= nil then
		self.gameRulesPanel:dispose();
		self.gameRulesPanel = nil;	
	end

	if data.class_id == 1 then
		self.gameRulesPanel = Lua_TheGameStatePanel.new(self.content, data.class_id);
	else
		self.gameRulesPanel = Lua_TheGameDanPanel.new(self.content, data.class_id);
	end
	self:updateWindowDepth();
end

function Lua_TheGameRulesWindow:dispose()
	if self.btnList ~= nil then
		self.btnList:dispose();
		self.btnList = nil;
	end
	if self.gameRulesPanel ~= nil then
		self.gameRulesPanel:dispose();
		self.gameRulesPanel = nil;
	end

	self:superCall("dispose");
end