-- 段位
Lua_TheGameDanPanel  = class("Lua_TheGameDanPanel",Lua_DisplayObject);
function Lua_TheGameDanPanel:ctor(p,class_id)	
	self.class_id = class_id; -- 分组ID
	self:superCall("ctor", p, "TheDanGameRulesPanel_skin");
end

function Lua_TheGameDanPanel:buildShowItem()
	self:superCall("buildShowItem");

	local arr = DataCenter.theSelectionWarUtil:getArrByClassId(self.class_id);
	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 648, 420));
	self.dragList:setLocation(115, -50, 0);
	self.dragList:setListCell(Lua_TheGameDanCellItem, 70, 648, 1);
	self.dragList:setLuaArrayData(arr, true);
end

function Lua_TheGameDanPanel:dispose()	
	if self.dragList ~= nil then
		self.dragList:dispose()
		self.dragList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_TheGameDanCellItem = class("Lua_TheGameDanCellItem", Lua_ListCell);
function Lua_TheGameDanCellItem:ctor(p)
	self:superCall("ctor", p, "TheDanGameRulesItem_skin");
end

function Lua_TheGameDanCellItem:setData(data)	
	self.danTxt.text = data.dan;
	self.gradeTxt.text = data.integral;
	self.honorTxt.text = data.honor;	
end